Package org.apache.catalina.tribes

# Interface Heartbeat

All Known Subinterfaces:
  `ChannelInterceptor`, `ChannelReceiver`, `ChannelSender`

All Known Implementing Classes:
  `AbstractReplicatedMap`, `BioReceiver`, `ChannelCoordinator`, `ChannelInterceptorBase`, `DomainFilterInterceptor`, `EncryptInterceptor`, `FragmentationInterceptor`, `GroupChannel`, `GzipInterceptor`, `LazyReplicatedMap`, `MessageDispatchInterceptor`, `NioReceiver`, `NonBlockingCoordinator`, `OrderInterceptor`, `ReceiverBase`, `ReplicatedMap`, `ReplicationTransmitter`, `SimpleCoordinator`, `StaticMembershipInterceptor`, `TcpFailureDetector`, `TcpPingInterceptor`, `ThroughputInterceptor`, `TwoPhaseCommitInterceptor`

public interface Heartbeat
Can be implemented by the ChannelListener and Membership listeners to receive heartbeat notifications from the Channel

See Also:
  - `Channel`
  - `Channel.heartbeat()`

## Method Summary

Modifier and Type
Method
Description
`void`
`heartbeat()`
Heartbeat invocation for resources cleanup etc

## Method Details

### heartbeat

void heartbeat()
Heartbeat invocation for resources cleanup etc